devguard

Business rolesId

Update a businessRole by id.

PATCH
/business-roles/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

slug*string
Match^[a-z0-9-]+$
Length1 <= length
name*string
Length2 <= length <= 255
description?|
organizationId*string
users*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.devguard.ch/api/business-roles/string/" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "organizationId": "string",    "users": [      "string"    ]  }'
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "organizationId": "string",
  "users": [
    "string"
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?